class ChatMessageDefault {
  String? message;
  int? lockAction;
  int? platformId;

  ChatMessageDefault({this.message, this.lockAction, this.platformId});

  ChatMessageDefault.fromJson(Map<String, dynamic> json) {
    if (json["message"] is String) {
      message = json["message"];
    }
    if (json["lockAction"] is int) {
      lockAction = json["lockAction"];
    }
    if (json["platformId"] is int) {
      platformId = json["platformId"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["message"] = message;
    data["lockAction"] = lockAction;
    data["platformId"] = platformId;
    return data;
  }
}
