class ContactModel {
  int? id;
  int? isPro;
  int? userId;
  int? proId;
  String? uniqueId;
  int? lastContactDate;
  String? phone;
  String? firstName;
  String? lastName;
  String? infoName;
  String? thumbnail;
  String? comment;
  int? arckipel;
  String? userDisplayName;
  String? proDisplayname;
  String? firebaseId;

  ContactModel(
      {this.id,
      this.isPro,
      this.userId,
      this.proId,
      this.uniqueId,
      this.lastContactDate,
      this.phone,
      this.firstName,
      this.lastName,
      this.infoName,
      this.thumbnail,
      this.comment,
      this.arckipel,
      this.userDisplayName,
      this.proDisplayname,
      this.firebaseId});

  String getName() {
    if (arckipel != 1) return '${firstName ?? ''} ${lastName ?? ''}'.trim();
    return (isPro == 1 ? proDisplayname : userDisplayName) ?? '';
  }

  String getFirstChar() {
    return (getName()).isEmpty ? '#' : (getName()).split('').first;
  }

  ContactModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["isPro"] is int) isPro = json["isPro"];
    if (json["userId"] is int) userId = json["userId"];
    if (json["proId"] is int) proId = json["proId"];
    if (json["uniqueId"] is String) uniqueId = json["uniqueId"];
    if (json["lastContactDate"] is int) {
      lastContactDate = json["lastContactDate"];
    }
    if (json["phone"] is String) phone = json["phone"];
    if (json["firstName"] is String) firstName = json["firstName"];
    if (json["lastName"] is String) lastName = json["lastName"];
    if (json["infoName"] is String) infoName = json["infoName"];
    if (json["thumbnail"] is String) thumbnail = json["thumbnail"];
    if (json["comment"] is String) comment = json["comment"];
    if (json["arckipel"] is int) arckipel = json["arckipel"];
    if (json["userdisplayName"] is String) {
      userDisplayName = json["userdisplayName"];
    }
    if (json["proDisplayname"] is String) {
      proDisplayname = json["proDisplayname"];
    }
    if (json["firebaseId"] is String) firebaseId = json["firebaseId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["isPro"] = isPro;
    data["userId"] = userId;
    data["proId"] = proId;
    data["uniqueId"] = uniqueId;
    data["lastContactDate"] = lastContactDate;
    data["phone"] = phone;
    data["firstName"] = firstName;
    data["lastName"] = lastName;
    data["infoName"] = infoName;
    data["thumbnail"] = thumbnail;
    data["comment"] = comment;
    data["arckipel"] = arckipel;
    data["userdisplayName"] = userDisplayName;
    data["proDisplayname"] = proDisplayname;
    data["firebaseId"] = firebaseId;
    return data;
  }
}
