class DateFormatModel {
  int? id;
  String? dateFormat;

  DateFormatModel({this.id, this.dateFormat});

  DateFormatModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["dateFormat"] is String) dateFormat = json["dateFormat"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["dateFormat"] = dateFormat;
    return data;
  }
}

class TimeFormatModel {
  int? id;
  String? timeFormat;

  TimeFormatModel({this.id, this.timeFormat});

  TimeFormatModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["timeFormat"] is String) timeFormat = json["timeFormat"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["timeFormat"] = timeFormat;
    return data;
  }
}
