class DigicodeCheck {
  bool? status;
  String? message;
  int? digicodeId;
  String? deviceUuid;

  DigicodeCheck({
    this.status,
    this.message,
    this.digicodeId,
    this.deviceUuid,
  });

  DigicodeCheck.fromJson(Map<String, dynamic> json) {
    if (json["status"] is bool) status = json["status"];
    if (json["message"] is String) message = json["message"];
    if (json["digicodeId"] is int) digicodeId = json["digicodeId"];
    if (json["deviceUuid"] is String) deviceUuid = json["deviceUuid"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["status"] = status;
    data["message"] = message;
    data["digicodeId"] = digicodeId;
    data["deviceUuid"] = deviceUuid;
    return data;
  }
}
