class OrgProInfo {
  String? organisation;
  String? organisationThumbnail;
  String? displayname;
  String? logo;
  int? platformId;

  OrgProInfo({
    this.organisation,
    this.organisationThumbnail,
    this.displayname,
    this.logo,
    this.platformId,
  });

  OrgProInfo.fromJson(Map<String, dynamic> json) {
    if (json["organisation"] is String) {
      organisation = json["organisation"];
    }
    if (json["organisationThumbnail"] is String) {
      organisationThumbnail = json["organisationThumbnail"];
    }
    if (json["displayname"] is String) displayname = json["displayname"];
    if (json["logo"] is String) logo = json["logo"];
    if (json["platformId"] is int) platformId = json["platformId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["organisation"] = organisation;
    data["organisationThumbnail"] = organisationThumbnail;
    data["displayname"] = displayname;
    data["logo"] = logo;
    data["platformId"] = platformId;
    return data;
  }
}
