/// id : 0
/// label : "string"
/// color : "string"
/// display : "string"

class ProductStatus {
  int? id;
  String? label;
  String? color;
  String? display;

  ProductStatus({
      this.id, 
      this.label, 
      this.color, 
      this.display});

  ProductStatus.fromJson(dynamic json) {
    id = json['id'];
    label = json['label'];
    color = json['color'];
    display = json['display'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['id'] = id;
    map['label'] = label;
    map['color'] = color;
    map['display'] = display;
    return map;
  }

}