class ReminderType {
  String? id;
  String? name;
  String? pictureUrl;

  bool isCustomByUser = false;

  ReminderType(
      {this.id, this.name, this.pictureUrl, this.isCustomByUser = false});

  ReminderType.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["name"] is String) name = json["name"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    isCustomByUser = json['isCustomByUser'] ?? false;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["name"] = name;
    data["pictureUrl"] = pictureUrl;
    data["isCustomByUser"] = isCustomByUser;
    return data;
  }
}
