class ServiceDelayModel {
  int? id;
  int? delay;
  int? date;
  int? proId;
  int? serviceId;
  String? eventUniqueId;

  ServiceDelayModel({this.id, this.delay, this.date, this.proId, this.serviceId, this.eventUniqueId});

  ServiceDelayModel.fromJson(Map<String, dynamic> json) {
    id = json['id'] ?? 0;
    delay = json['delay'] ?? 0;
    date = json['date'] ?? 0;
    proId = json['proId'] ?? 0;
    serviceId = json['serviceId'] ?? 0;
    eventUniqueId = json['eventUniqueId'] ?? '';
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['delay'] = delay;
    data['date'] = date;
    data['proId'] = proId;
    data['serviceId'] = serviceId;
    data['eventUniqueId'] = eventUniqueId;
    return data;
  }
}
