class Terminal {
  int? placeId;
  String? placeCity;
  String? placeLabel;
  double? placeLng;
  double? placeLat;
  String? placeCountry;
  String? placeCountryCode;
  String? placeZip;
  String? placeStreet1;
  String? placeStreet2;
  String? utcModifier;
  int? id;
  String? name;
  String? authCode;
  String? ticketOptionalStr;
  int? arckipel;
  String? label;
  String? description;
  int? productId;
  String? productSerial;
  String? statusLabel;
  String? statusColor;
  String? pictureUrl;
  String? password;
  String? terminalType;
  String? terminalTypeName;
  int? warrantyUntil;
  int? purchasedAt;
  String? macAddress;
  String? moreInfos;
  int? timeSlide;

  Terminal(
      {this.placeId,
      this.placeCity,
      this.placeLabel,
      this.placeLng,
      this.placeLat,
      this.placeCountry,
      this.placeCountryCode,
      this.placeZip,
      this.placeStreet1,
      this.placeStreet2,
      this.utcModifier,
      this.id,
      this.name,
      this.authCode,
      this.ticketOptionalStr,
      this.arckipel,
      this.label,
      this.description,
      this.productId,
      this.productSerial,
      this.statusLabel,
      this.statusColor,
      this.pictureUrl,
      this.password,
      this.terminalType,
      this.terminalTypeName,
      this.warrantyUntil,
      this.purchasedAt,
      this.macAddress,
      this.moreInfos,
      this.timeSlide});

  Terminal.fromJson(Map<String, dynamic> json) {
    if (json["placeId"] is int) placeId = json["placeId"];
    if (json["placeCity"] is String) placeCity = json["placeCity"];
    if (json["placeLabel"] is String) placeLabel = json["placeLabel"];
    if (json["placeLng"] is double) placeLng = json["placeLng"];
    if (json["placeLat"] is double) placeLat = json["placeLat"];
    if (json["placeCountry"] is String) {
      placeCountry = json["placeCountry"];
    }
    if (json["placeCountryCode"] is String) {
      placeCountryCode = json["placeCountryCode"];
    }
    if (json["placeZip"] is String) placeZip = json["placeZip"];
    if (json["placeStreet1"] is String) {
      placeStreet1 = json["placeStreet1"];
    }
    if (json["placeStreet2"] is String) {
      placeStreet2 = json["placeStreet2"];
    }
    if (json["utcModifier"] is String) utcModifier = json["utcModifier"];
    if (json["id"] is int) id = json["id"];
    if (json["name"] is String) name = json["name"];
    if (json["authCode"] is String) authCode = json["authCode"];
    if (json["ticketOptionalStr"] is String) {
      ticketOptionalStr = json["ticketOptionalStr"];
    }
    if (json["arckipel"] is int) arckipel = json["arckipel"];
    if (json["label"] is String) label = json["label"];
    if (json["description"] is String) description = json["description"];
    if (json["productId"] is int) productId = json["productId"];
    if (json["productSerial"] is String) {
      productSerial = json["productSerial"];
    }
    if (json["statusLabel"] is String) statusLabel = json["statusLabel"];
    if (json["statusColor"] is String) statusColor = json["statusColor"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    if (json["password"] is String) password = json["password"];
    if (json["terminalType"] is String) {
      terminalType = json["terminalType"];
    }
    if (json["terminalTypeName"] is String) {
      terminalTypeName = json["terminalTypeName"];
    }
    if (json["warrantyUntil"] is int) {
      warrantyUntil = json["warrantyUntil"];
    }
    if (json["purchasedAt"] is int) purchasedAt = json["purchasedAt"];
    if (json["macAddress"] is String) macAddress = json["macAddress"];
    if (json["moreInfos"] is String) moreInfos = json["moreInfos"];
    if (json["timeSlide"] is int) timeSlide = json["timeSlide"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["placeId"] = placeId;
    data["placeCity"] = placeCity;
    data["placeLabel"] = placeLabel;
    data["placeLng"] = placeLng;
    data["placeLat"] = placeLat;
    data["placeCountry"] = placeCountry;
    data["placeCountryCode"] = placeCountryCode;
    data["placeZip"] = placeZip;
    data["placeStreet1"] = placeStreet1;
    data["placeStreet2"] = placeStreet2;
    data["utcModifier"] = utcModifier;
    data["id"] = id;
    data["name"] = name;
    data["authCode"] = authCode;
    data["ticketOptionalStr"] = ticketOptionalStr;
    data["arckipel"] = arckipel;
    data["label"] = label;
    data["description"] = description;
    data["productId"] = productId;
    data["productSerial"] = productSerial;
    data["statusLabel"] = statusLabel;
    data["statusColor"] = statusColor;
    data["pictureUrl"] = pictureUrl;
    data["password"] = password;
    data["terminalType"] = terminalType;
    data["terminalTypeName"] = terminalTypeName;
    data["warrantyUntil"] = warrantyUntil;
    data["purchasedAt"] = purchasedAt;
    data["macAddress"] = macAddress;
    data["moreInfos"] = moreInfos;
    data["timeSlide"] = timeSlide;
    return data;
  }
}
