class TicketAnswer {
  int? id;
  int? createdAt;
  String? uniqueId;
  String? displayName;
  String? answerContent;
  String? thumbnail;

  TicketAnswer(
      {this.id,
      this.createdAt,
      this.answerContent,
      this.uniqueId,
      this.displayName,
      this.thumbnail});

  TicketAnswer.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["createdAt"] is int) createdAt = json["createdAt"];
    if (json["displayName"] is String) displayName = json["displayName"];
    if (json["thumbnail"] is String) thumbnail = json["thumbnail"];
    if (json["uniqueId"] is String) uniqueId = json["uniqueId"];
    if (json["answerContent"] is String) {
      answerContent = json["answerContent"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["createdAt"] = createdAt;
    data["displayName"] = displayName;
    data["thumbnail"] = thumbnail;
    data["uniqueId"] = uniqueId;
    data["answerContent"] = answerContent;
    return data;
  }
}
