class UsernameAvailableResult {
  static const String AlreadyTaken = 'AlreadyTaken';
  static const String Available = 'Available';

  String? message;
  int? isPro;
  String? displayName;
  String? thumbnail;
  String? firebaseId;
  String? username;

  UsernameAvailableResult({
    this.message,
    this.isPro,
    this.displayName,
    this.thumbnail,
    this.firebaseId,
    this.username,
  });

  UsernameAvailableResult.fromJson(Map<String, dynamic> json) {
    message = json["message"];
    isPro = json["isPro"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
    firebaseId = json["firebaseId"];
    username = json["username"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["message"] = message;
    data["isPro"] = isPro;
    data["displayName"] = displayName;
    data["thumbnail"] = thumbnail;
    data["firebaseId"] = firebaseId;
    data["username"] = username;
    return data;
  }
}
