class VideoUrl {
  String? name;
  String? videoUrl;

  VideoUrl({this.name, this.videoUrl});

  VideoUrl.fromJson(Map<String, dynamic> json) {
    if (json["name"] is String) name = json["name"];
    if (json["videoUrl"] is String) videoUrl = json["videoUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["name"] = name;
    data["videoUrl"] = videoUrl;
    return data;
  }
}
