import 'package:_private_core_network/network_resources/resources.dart';

import 'app_api.dart'; 

class VimeoRepo {
  VimeoRepo._();

  static VimeoRepo? _instance;

  factory VimeoRepo([MyAppApi? api]) {
    _instance ??= VimeoRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Future<VimeoConfig?> getVideoConfigFromPlayerVimeo(vimeoId) async {
    NetworkResponse response =
        await _api.getVideoConfigFromPlayerVimeo(vimeoId);
    return response.data;
  }
}
