class CheckPhoneResult {
  static String newPhone = "newPhone";
  static String existingPhone = "existingPhone";

  String? message;
  int? isPro;
  String? username;
  String? thumbnail;
  String? displayName;
  String? firebaseId;

  CheckPhoneResult({
    this.message,
    this.isPro,
    this.username,
    this.thumbnail,
    this.displayName,
    this.firebaseId,
  });

  CheckPhoneResult.fromJson(Map<String, dynamic> json) {
    message = json["message"];
    isPro = json["isPro"];
    username = json["username"];
    thumbnail = json["thumbnail"];
    displayName = json["displayName"];
    firebaseId = json["firebaseId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["message"] = message;
    _data["isPro"] = isPro;
    _data["username"] = username;
    _data["thumbnail"] = thumbnail;
    _data["displayName"] = displayName;
    _data["firebaseId"] = firebaseId;
    return _data;
  }
}
