class LegalInfo {
  int? id;
  String? legalUuid;
  String? internalTitle;
  String? pageLabel;
  String? content;
  String? languageCode;

  LegalInfo({
    this.id,
    this.legalUuid,
    this.internalTitle,
    this.pageLabel,
    this.content,
    this.languageCode,
  });

  LegalInfo.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    legalUuid = json["legalUuid"];
    internalTitle = json["internalTitle"];
    pageLabel = json["pageLabel"];
    content = json["content"];
    languageCode = json["languageCode"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["legalUuid"] = legalUuid;
    data["internalTitle"] = internalTitle;
    data["pageLabel"] = pageLabel;
    data["content"] = content;
    data["languageCode"] = languageCode;
    return data;
  }
}
