class WalletInfo {
  int? id;
  String? walletUniqueId;
  int? lastUpdateLoadAt;
  int? lastUpdateDebitAt;
  dynamic totalTipsQuantity;
  dynamic totalMoonnTokenQuantity;

  WalletInfo(
      {this.id,
      this.walletUniqueId,
      this.lastUpdateLoadAt,
      this.lastUpdateDebitAt,
      this.totalTipsQuantity,
      this.totalMoonnTokenQuantity});

  WalletInfo.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    walletUniqueId = json["walletUniqueId"];
    lastUpdateLoadAt = json["lastUpdateLoadAt"];
    lastUpdateDebitAt = json["lastUpdateDebitAt"];
    totalTipsQuantity = json["totalTipsQuantity"]; 
    totalMoonnTokenQuantity = json["totalMoonnTokenQuantity"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["walletUniqueId"] = walletUniqueId;
    data["lastUpdateLoadAt"] = lastUpdateLoadAt;
    data["lastUpdateDebitAt"] = lastUpdateDebitAt;
    data["totalTipsQuantity"] = totalTipsQuantity;
    data["totalMoonnTokenQuantity"] = totalMoonnTokenQuantity;
    return data;
  }
}
